0 Replies Latest reply: Dec 8, 2012 6:42 AM by Nicole Goodwin
Nicole Goodwin Level 1 Level 1 (0 points)

My Ipod touch will not sync to my computer because the computrr says that it needs the version 6.3.1 and my i touch has 6.0 version an says that it is updated already ?? 


iPod touch (4th generation), iOS 6.0.1